.text-center {
    text-align: center !important;
}

h1, h2, h3, h4, h5,
.h1, .h2, .h3, .h4, .h5 {
    font-family: var(--font-primary);
    font-weight: 700;
    margin-bottom: 15px;
    line-height: 1.3;
}

h1,
.h1 {
    font-size: 1.5rem;
}

h2,
.h2 {
    font-size: 1.375rem;
}

h3,
.h3 {
    font-size: 1.25rem;
}

h4,
.h4 {
    font-size: 1.125rem;
}

h5,
.h5 {
    font-size: 1rem;
}

.title-largest {
    font-size: 2rem;
    font-weight: 700;
}

.title-larger {
    font-size: 1.625rem;
    font-weight: 700;
}

.title-large {
    font-size: 1.375rem;
    font-weight: 700;
}

.title {
    font-size: 1.125rem; 
    font-weight: 700;
}

.title-small {
    font-size: 1rem;
}

.title-smaller {
    font-size: .875rem;
}

.title-smallest {
    font-size: .75rem;
}

.text-normal {
    font-size: 1rem;
}

.text-big {
    font-size: 1.125rem;
}

.text-huge {
    font-size: 2rem;
    font-weight: 700;
}

.boxtitle-medium {
    font-size: 1.125rem;
    font-weight: 700;
}

.boxtitle-small {
    font-size: 1.125rem;
    font-weight: 700;
}

.smalltext { font-size: .875rem; }
.smalltitle { font-size: .875rem; }

.fontsize-largest { font-size: 1.375rem;  }
.fontsize-larger { font-size: 1.25rem;  }
.fontsize-large { font-size: 1.125rem;  }
.fontsize-normal { font-size: 1rem;  }
.fontsize-small { font-size: 0.875rem;  }
.fontsize-smaller { font-size: 0.75rem;  }

.font-heavy { font-weight: 900; }
.font-bold { font-weight: 700; }
.font-medium { font-weight: 500; }
.font-regular { font-weight: 400; }
.font-light { font-weight: 300; }

@media only screen and (min-width: 992px) {

    h1, .h1 {
        font-size: 2rem;
    }

    h2, .h2 {
        font-size: 1.5rem;
    }

    h3, .h3 {
        font-size: 1.375rem;
    }

    h4, .h4 {
        font-size: 1.25rem;
    }

    .title-largest {
        font-size: 3.125rem;
    }
    
    .title-larger {
        font-size: 2.5rem;
    }
    
    .title-large {
        font-size: 1.5rem;
    }

    .title {
        font-size: 1.375rem;
    }

    .title-small {
        font-size: 1.125rem;
    }

    .text-huge {
        font-size: 3.125rem;
    }

    .boxtitle-medium {
        font-size: 1.25rem;
    }

    .boxtitle-small {
        font-size: 1.25rem;
    }

    .smalltext {
        font-size: 1rem;
    }

    .smalltitle {
        font-size: 1.125rem;
    }

    .fontsize-lg-largest {
        font-size: 1.375rem; 
    }

    .fontsize-lg-larger {
        font-size: 1.25rem;
    }

    .fontsize-lg-large {
        font-size: 1.125rem; 
    }

    .fontsize-lg-normal {
        font-size: 1rem;
    }

    .fontsize-lg-small {
        font-size: 0.875rem; 
    }

    .fontsize-lg-smaller {
        font-size: 0.75rem; 
    }
}

@media only screen and (min-width: 1400px) {
    h1, .h1 {
        font-size: 2.5rem;
    }

    h2, .h2 {
        font-size: 1.625rem;
    }

    h3, .h3 {
        font-size: 1.5rem;
    }

    h5, .h5 {
        font-size: 1.25rem;
    }

    .title-largest {
        font-size: 3.75rem;
    }
 
    .title-larger {
        font-size: 3.25rem;
    }
    
    .title-large {
        font-size: 1.75rem;
    }

    .title {
        font-size: 1.625rem;
    }

    .text-normal {
        font-size: 1.125rem;
    }

    .text-huge {
        font-size: 3.75rem;
    }

    .boxtitle-medium {
        font-size: 1.375rem;
    }

    .body-text {
        font-size: 1.125rem;
    }
}

@media only screen and (min-width: 1920px) {
    h2, .h2 {
        font-size: 1.75rem;
    }

    h4, .h4 {
        font-size: 1.375rem;
    }

    .title-larger {
        font-size: 3.125rem;
    }
    
    .title-large {
        font-size: 2rem;
    }

    .title {
        font-size: 1.75rem;
    }

    .text-huge {
        font-size: 4.375rem;
    }
}
